Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 624646 (CVE-2017-11111) - <dev-lang/nasm-2.13.03: heap overflow (CVE-2017-11111)
Summary: <dev-lang/nasm-2.13.03: heap overflow (CVE-2017-11111)
Status: RESOLVED FIXED
Alias: CVE-2017-11111
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://bugzilla.nasm.us/show_bug.cgi...
Whiteboard: B3 [noglsa cve]
Keywords:
Depends on: 670884
Blocks:
  Show dependency tree
 
Reported: 2017-07-12 07:22 UTC by Agostino Sarubbo
Modified: 2019-03-10 03:57 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2017-07-12 07:22:18 UTC
CVE-2017-11111 (https://nvd.nist.gov/vuln/detail/CVE-2017-11111):

In Netwide Assembler (NASM) 2.14rc0, preproc.c allows remote attackers to cause a denial of service (heap-based buffer overflow and application crash) or possibly have unspecified other impact via a crafted file.


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Sergei Trofimovich gentoo-dev 2018-05-10 22:37:22 UTC
Was fixed upstream in https://bugzilla.nasm.us/show_bug.cgi?id=3392415 and released as part of nasm-2.13.02.

Gentoo got nasm-2.13.03 in https://gitweb.gentoo.org/repo/gentoo.git/commit/dev-lang/nasm?id=5b594e538e38230b85a5f0164d1d8b90d137f81b
Comment 2 Yury German Gentoo Infrastructure gentoo-dev Security 2019-03-10 03:11:28 UTC
GLSA Vote: No

Arches and Maintainer(s), Thank you for your work.